//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _EEPROMH
#define _EEPROMH

#nolist

// INCLUDES =========================================================
// END INCLUDES =====================================================

// DEFINES ==========================================================
typedef struct {
   char				cal_date[8];	//Space for 7 characters
   unsigned int16	serial_no;
   unsigned int8	units;
   unsigned int8	standard_number;
   unsigned int16	cal_offset0;
   unsigned int16	cal_offset1;
   unsigned int32	cal_slope0;
   unsigned int32	cal_slope1;
}EEPROM_DATA_TYPE;
// END DEFINES ======================================================

// PROTOTYPES =======================================================
void read_eeprom_custom_params(STANDARD_TYPE * test_standard_info);
void write_eeprom_custom_params(STANDARD_TYPE * test_standard_info);
void read_eeprom_data(void);
void write_eeprom_data(void);
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif