//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _RS232H
#define _RS232H

#nolist

// INCLUDES =========================================================
#include "global.h"
// END INCLUDES =====================================================

// DEFINES ==========================================================
#define BUFFER_SIZE 50
// END DEFINES ======================================================

// PROTOTYPES =======================================================
unsigned char bgetc();
void bgets(unsigned char * str, int8 maxLen);
void rs232_write_bytes(unsigned char * str, int8 strLen);
unsigned int8 check_command(void);
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif